-------------------------------- 
Version 2.230 / xxxx  xx.09.2025
--------------------------------

Fixes for Android 16
  - onBackPressed handling

Upgrade to FIT SDK 21.171.00


-------------------------------- 
Version 2.229 / 9157  01.07.2025
--------------------------------

Android 16 / SDK 36

Fixes
  Distance Computation
  Ascent  Computation


-------------------------------- 
Version 2.227 / 9100  29.03.2025
--------------------------------

Maps

 - HERE maps can be used again
   (new Raster Tile API)

 - Fix for flickering problems


New app icon (crankset white)


-------------------------------- 
Version 2.226 / 8996  30.11.2024
--------------------------------

Some Fixes for Android 15

-------------------------------- 
Version 2.225 / 8856  03.11.2024
--------------------------------

Android 15 / SDK 35

Ascent Computation

- increased barometer averaging
  interval to 10 sec

- baro eps increased to 4.5


-------------------------------- 
Version 2.224 / 8816  19.07.2024
--------------------------------

Fixes

 - fixed flickering problem in 
   MapView animations
 - increased baro eps to 4.0
 - total distance computation


-------------------------------- 
Version 2.223 / 8806  29.06.2024
--------------------------------

Ascent Computation
 - baro eps increased (3.25)

-------------------------------- 
Version 2.221 / 8802  09.06.2024
--------------------------------

Ascent Computation
 - baro eps increased (3.2)


-------------------------------- 
Version 2.219 / 8794  26.05.2024
--------------------------------

Fixes

- first barometer calibration
  sometimes failed

-------------------------------- 
Version 2.219 / 8790  30.04.2024
--------------------------------

Fixes

-  srtm3 altitude: problem with 
   negative longitudes fixed


-------------------------------- 
Version 2.217 / 8695  23.10.2023
--------------------------------

Bluetooth

- reconnect after power meter
  calibration error
 

Track/Route Import

- problem with WhatsApp gpx
  and fit file attachements
  fixed


Android 14 / SDK 34

  - security options for 
    broadcast receivers

  - adding type when starting
    foreground services 


-------------------------------- 
Version 2.211 / 8480  03.08.2023
--------------------------------

Fixes

 - Initial barometer calibration 
   procedure improved.

 - Fix for NullPointerException 
   in Tracklist (strava tab) if 
   network not available.


-------------------------------- 
Version 2.20 / 8410   15.06.2023
--------------------------------

Fixes and Improvements

Barometer Calibration

 - Fix for a problem occuring if
   no home position defined.


Distance Computation

 - improved precision  


Track and Course Lists

 - Inconsistent ordering caused
   problems in track and course
   selection.

 - Direct loading of courses and
   tracks to Garmin Connect app
   in export dialog.


Waypoint Map Dialog

 - Problem with tile sources 
   fixed.



-------------------------------- 
Version 2.196 / 8357  09.05.2023
--------------------------------

Fix for serious bug in 2.195
  - osm tile download in map 
    class stopped working


-------------------------------- 
Version 2.195 / 8354  09.05.2023
--------------------------------

- Profiles/Charts
  minimal and maximal values are
  indicated by horizontal lines

- Fix for security problem:
  clear text traffic disabled


-------------------------------- 
Version 2.19  / 8345  07.05.2023
--------------------------------

Fixes & Improvements

- problem in track list fixed 
  (incorrect track description)

- error in initial barometer 
  calibration fixed

- faster start of notifications

- some minor improvements



-------------------------------- 
Version 2.185 / 8193  16.10.2022
--------------------------------

Fixes 

 - SRTM3 download problem
 - Error in FIT import 
 - Problem in course loading 


-------------------------------- 
Version 2.184 / 8143  02.09.2022
--------------------------------

Anpassungen für Android 13

  - Target SDK 33
  - Handling of notification 
    permissions


Openstreet Map 

  - Workaround for Tile Server 
    Problem (Proxy Server)


Strava 

  - Open Login-Page in Google 
    Chrome instead of WebView
    (for security reasons)



-------------------------------- 
Version 2.17 / 8122   07.07.2022
--------------------------------

Bluetooth

  - Automatische Kalibrierung 
    (Zero Offset) nach der 
    Verbindung mit einem Power 
    Sensor.

  - Der Bluetooth-Service kann 
    (bei Verbindungsproblemen)
    zurückgesetzt und neu
    gestartet werden:
    Menu-->Bluetooth-->Reset 

  - Verbesserungen beim BT 
    Verbindungsdialog (Menu mit
    Liste bekannter Devices)


Notification

  - Text Notifications für
    Aufstiegs- und Distanz-
    schranken werden auf
    verbundenen Gerätenn
    (Garmin) angezeigt.


Courses

  - Verbesserte Lokalisierung der
    aktuellen Position auf der
    Strecke (Problem in Kurven)

  - Problem bei der Vereinfachung
    der Strecke behoben (wenn 
    Start und Ziel identisch).



--------------------------------
Version 2.16 / 7981  07.05.2022
--------------------------------

Verbesserungen & Fixes

 - Probleme in der SRTM3 Höhen-
   berechnung beseitigt

 - einige Verbesserungen in den
   Animationen der Kartenansicht

 - Barometerglättung lieferte
   am Anfang falsche Werte

 - Bluetooth Batterie-Level
   zu häufig abgefragt

 - Problem mit Samsung Accessory
   Service behoben (proguard).
   Kopplung mit Samsung Watch
   sollte wieder funktionieren.

 - Target SDK 32



--------------------------------
Version 2.15  / 7907  15.04.2022
--------------------------------

Verbesserungen & Fixes

  - modifizierter Algorithmus
    zur Aufstiegsberechnung

  - bessere Ausfilterung kleiner
    Luftdruckschwankungen 

  - flüssigeres Scrolling der
    Kartenansicht im ViewPager

  - Aufstiegskorrektur nach
    Kalibrierung vereinfacht
    (ohne cal-Datei).




--------------------------------
Version 2.14 / 7806  12.03.2022
--------------------------------

Fixes

  - Fehler in der SRTM3 Höhen-
    berechnung  bei negativen
    Längengraden

  - Höhenprofile im Indoor-Mode

  - Nullpointer-Exception in
    Bluetooth-Kopplung (Device
    Name = null)

  - Maps: Vermeidung unötiger 
    Zoom- und Move-Operationen 
    (flüssigere Animationen)



--------------------------------
Version 2.13 / 7759  27.02.2022
--------------------------------

Fixes

 - Maximale Höhe des Hauptmenüs
   an Bildschirmhöhe angepasst.

 - Abfahren von Routen im Indoor
   Modus

 - verbesserter Bluetooth Dialog


--------------------------------
Version 2.12 / 7662   09.01.2022
--------------------------------

Trackliste
    Die Strava Activity Liste
    wird nun komplett geladen.

Akustische Signale
    Die Lautstärke der Signale
    kann nun eingestellt werden 
    (Einstellungen -> akustische
     Signale).

Indoor Recording
    kann Speed und Distanz vom
    (Power-)Sensor des Fitness
    gerätes übernehmen oder mit 
    fester Geschwindigkeit auf-
    zeichnen. Die entsprechende 
    Auswahl erfolgt im Start
    Dialog.
    


--------------------------------
Version 2.11 / 7616  30.12.2021
--------------------------------

Allgemein
  - minimale SDK Version auf 23  
    erhöht (Android 6.0)

Bluetooth
  - Temperatur-Sensoren
  - verbesserter Dialog

Weitere kleinere Fixes
und Verbesserungen


--------------------------------
Version 2.10 / 7567  25.12.2021
--------------------------------

Weitere Verbesserungen und Fixes
für Bluetooth-Sensoren

  - Trittfrequenz 
  - Scan Dialog
  - Settings Dialog
  - Autoconnect Option


--------------------------------
Version 2.09  / 7522  21.12.2021
--------------------------------

Bluetooth LE

 - Experimentelle Unterstützung 
   von Cadence-Sensoren (nicht
   getestet)
 
 - allgemeine Verbesserungen
    - Verbindungs-Dialoge 
    - Icons in Titlezeile
    - Automatisches Reconnect


--------------------------------
Version 2.08 / 7462  16.12.2021
--------------------------------

Bluetooth LE Unterstützung

   es können nun auch Bluetooth 
   LE Sensoren für Herzfrequenz 
   und Leistung verbunden und
   genutzt werden. Dazu gibt es
   einen neue Funktion im 
   Hauptmenü.


Aufstiegsberechnung verbessert

   nach jeder SRTM Kalibrierung 
   werden die Höhenwerte bis zur
   letzten Kalibrierungsposition
   korrigiert und der Gesamt-
   aufstieg neu berechnet.

Aufzeichnung

   Trittfrequenz und Temperatur
   werden für jeden Trackpunkt
   erfasst (wenn entsprechende
   Sensoren vorhanden sind).


Fixes

   Das Öffnen von .fit und .gpx
   Dateien (Import von Routen)
   funktioniert jetzt auch, wenn
   die App bereits läuft.

   Anpassung der Notifications
   an das Layout von Android 12 
   (runde Ecken / weniger Platz)
   
   Die Crashreportbehandlung 
   hat unter Android 12 nicht 
   korrekt fuktioniert.



--------------------------------
Version 2.07 / 7190  21.09.2021
--------------------------------

 - READ_EXTERNAL_STORAGE
   WRITE_EXTERNAL_STORAGE
   requestLegacyExternalStorage
   preserveLegacyExternalStorage
   removed from manifest

 - user data is not copied from 
   legacy to app local storage 
   anymore

 - srtm calibration not used
   during ride



--------------------------------
Version 2.06 / 7115  15.08.2021
--------------------------------

Fixes

 - Problem beim Einstellen der
   Sprache behoben

 - Fehler beim Senden von Crash 
   Reports per Email behoben

 - Darstellung von Dual-Frequenz
   Satelliten im Sat-View 

 - Absturz in der Farbauswahl 
   (ColorPicker Activity nicht
    in Manifest deklariert).

 - Datenservice und Live Tracking
   werden beim Exit schneller 
   beendet

 - Aufstiegsberechnung
   Barometer-Glättungsfilter 
   von 0.65 auf 0.70 erhöht


--------------------------------
Version 2.05 / 7115  24.06.2021
--------------------------------

Fixes

 - Problem beim Abspielen von
   Sound-Files (z.B. jodel.mp3)
   behoben (durch Verschieben 
   in den Assets-Folder).

 - Anpassung für Splash Screen
   von Android 12



--------------------------------
Version 2.041 / 7092  18.06.2021
--------------------------------

Fixes

 - Netzwerkzugriff im Main-Thread
   beseitigt (config_srtm3_tiles)

 - Zeitformat-Problem im gpx- 
   reader beseitigt (fractional
   seconds)

 - Crash im ProgressDialog beim
   Drehen des Phones (fehlender 
   Default-Konstruktor)

 - Layoutproblem in Trackliste
   behoben (Font-Size besser an
   Display-Größe angepasst)

 - Exportieren von Tracks in den
   Download-Folder

 - Menüstruktur in Trackliste
   überarbeitet



--------------------------------
Version 2.04 / 7068  01.06.2021
--------------------------------

Routen
   können in umgekehrter Richtung
   geladen werden


Fixes
   verbesserte Startzeit


--------------------------------
Version 2.034 / 7053  20.05.2021
--------------------------------

Fixes

 Öffnen von gpx und fit-Dateien,
 Attachements und Downloads
 (Import als Route) sollte jetzt 
 besser funktionieren.


--------------------------------
Version 2.033 / 7026  16.05.2021
--------------------------------

Galaxy Watch App
  START erfordert background
  location permission wenn
  Haupt-App nicht gestartet
  (Android 11)


Startablauf 
 -activity_init/activity_start
  launcher animation

 -resume nach activity_start
  verschoben


--------------------------------
Version 2.031 / 7000  13.05.2021
--------------------------------

Map Search Dialog
   lock view pager after moving
   to destination


--------------------------------
Version 2.03 / 6964   09.05.2021
--------------------------------

Problem mit Samsung Watch
(Accessory-Service) gefixed.

Das Starten der Aufzeichnung von
der Uhr aus (START - Button)
erfordert in Android Version 11
die BACKGROUND_LOCATION_ACCESS
Permission.


--------------------------------
Version 2.01 / 6890   01.05.2021
--------------------------------

Target SDK 30

ANT+ Sensoren
  funktionieren nun auch mit
  Target SDK 30 (Android 11)


App-Daten (hasFragileUserData)
  Beim Deinstallieren können die
  App-Daten erhalten werden. Es
  erscheint eine entprechende 
  Checkbox im Uninstall-Dialog 
  (ab Android Version 10).



--------------------------------
Version 2.00 / 6851   26.04.2021
--------------------------------

Fix

Beim ersten Start wurde nach dem
Abfragen der Genehmigungen der
Daten-Service nicht gestartet.



--------------------------------
Version 1.998 / 6845  25.04.2021
--------------------------------

Bugfix
  App war mit Android < 11 nicht
  mehr benutzbar (falscher App-
  Folder im Service).
  

--------------------------------
Version 1.997 / 6841  24.04.2021
--------------------------------

SDK Target Version 29

    wieder auf 29 zurück gesetzt
    weil der ANT+ Plugin Service 
    nicht mit SDK-Version 30 
    funktioniert


--------------------------------
Version 1.996 / 6825  21.04.2021
--------------------------------

Neue Android-Target Version 30
erfordert den Wechsel zu Scoped 
Storage (auf Devices mit Android 
Versionen >= 11).

 - Der App-Folder mit allen
   Unterverzeichnissen und 
   Dateien liegt nicht mehr 
   im globalen externen 
   Speicher (sdcard) sondern 
   im geschützten privaten 
   Speicherbereich der App.

 - Beim ersten Start auf Android
   Systemen ab Version 11 werden 
   alle Daten vom alten App-
   Verzeichnis in das neue 
   Verzeichnis kopiert.

 - Man kann mit einem einfachen 
   File-Explorer auf das interne
   App-Verzeichnis zugreifen und
   z.B. Daten exportieren.
   (Hauptmenü -->"App Folder")


--------------------------------
Version 1.995 / 6815   19.04.2021
--------------------------------

Fixes

  -Fehler in Pausenerkennung
  -Problem in Waypoint/Home
   (MapView) behoben


--------------------------------
Version 1.99 / 6727   10.04.2021
--------------------------------
(Testversion 1.991)

Kartenansicht

   Das alte Problem mit Sprüngen 
   zum Rand sollte nun endgültig 
   behoben sein.

   Unterstützumg von HERE Maps
   (für Stracks-User)


--------------------------------
Version 1.984/ 6692   06.04.2021
--------------------------------

Fixes

 - Work-Around für blockierten
   OSM-Standard-Tileserver durch 
   Modifikationen im HTTP-Header

 - Vermeidung von gleichzeitigem 
   Abspielen von mehreren 
   akustischen Signalen
   (bei Aufstiegs-Limits)





--------------------------------
Version 1.982/ 6685   05.04.2021
--------------------------------

Verbesserungen und Fixes

  Out-of Memory Problem bei
  OSM-Karten beseitigt.

  flüssigerer Wechsel zur Karten-
  ansicht beim Laden von Routen



--------------------------------
Version 1.972 / 6650  27.03.2021
--------------------------------

Standortdaten Berechtigung
(Android 11)

   Es ist keine Berechtigung mehr
   zum ständigen Zugriff auf die
   Standortdaten erforderlich.
   Diese Berechtigung kann nun 
   (unter Android 11) auch für 
   die Dauer der Benutzung der
   App erteilt werden, auch nur 
   einmalig ("Nur dieses Mal"). 
  


--------------------------------
Version 1.970 / 6623  23.03.2021
--------------------------------

Fix für schwerwiegenden Absturz
unter Android 11 mit neuester
WebView-Version

  Websettings.getDefaultUserAgent
  verursachte u.U. einen Absturz.
  Wurde ersetzt durch einen std-
  Useragent-String.
    

Verbesserungen

 Karte 
    Flüssigere User-Interaktionen
    wie Verschieben,Rotieren und 
    Animationen durch schnelleren
    Tile-Buffer.

 ViewPager
    Das Durchblättern der Seiten
    sollte jetzt geschmeidiger
    laufen - insbesonder beim
    Wechsel auf die Kartenansicht
    (durch Erhöhug des Offscreen-
     Page-Limits).




--------------------------------
Version 1.962 / 6598  20.03.2021
--------------------------------

NEU: Regenradar mit Daten von
     rainviewer.com

  Zur Darstellung von aktuellen 
  Regenradarbildern kann in der
  Kartenansicht ein Regenradar- 
  Overlay aktiviert werden - mit
  dem Button (Wolke) oben links.

  Im Menu der Karte (drei Punkte)
  kann eine (experimentelle)
  Animation der Regenradarbilder 
  der letzten 2 Stunden gestartet
  werden ("Radar Animation").
   


--------------------------------
Version 1.96 / 6572   14.03.2021
--------------------------------
Google-Play Release 

Höhenberechnung mit SRTM3

   Umstellung auf Algobase-Host
   da "dds.cr.usgs.gov" nicht
   mehr frei zugänglich ist. 


Karten

   Fehler beim Download von
   Karten-Bitmaps behoben -
   konnte zum Einfrieren der
   App führen.



--------------------------------
Version 1.942      11.03.2021
--------------------------------

Aufstiegsberechnung

    Barometer-Glättungsfilter 
    von 0.65 auf 0.70 erhöht

    Barometer Averaging-Period
    von 4 auf 5 sec verlängert

Karte

    Schnelleres Rendering durch
    die Verwendung eines Buffers
    zur Speicherung von Bitmap-
    kacheln.


Fixes

    Restore-State Problem bei
    Fragment-Dialogen beseitigt. 

    Fehler in den Server Log-
    Messages korrigiert. 


--------------------------------
Version 1.94       01.03.2021
--------------------------------

Google Play Release 1.94

Karte
   Problem mit OSM Tile Server
   behoben (user-agent)

Akustische Signale
    neuer Konfigurationsdialog


--------------------------------
Version 1.934      21.02.2021
--------------------------------

Karte

    verbesserte Synchronisation 
    von Aktionen wie Zeichnen,
    Zoomen und Drehen mit User- 
    interaktionen


Aufstiegsberechnung

    Barometer-Glättungsfilter 
    von 0.55 auf 0.65 erhöht


Positionen

    Ausfiltern von GPS-Punkten 
    mit zu geringer Genauigkeit.

    Erkennung von Signalverlust
   

Crash Reports

    Log-Files werden als Email-
    Anhang hinzugefügt.




--------------------------------
Version 1.932      15.02.2021
--------------------------------

Fixes

  - weiteren Fehler in der Geoid 
    Korrektur behoben

  - Vermeidung von out of memory 
    Exceptions durch Verwendung 
    von 16-bit Bitmaps (RGB_565 
    statt ARGB_8888) in der 
    Kartendarstellung



--------------------------------
Version 1.93      07.02.2021
--------------------------------

Google Play Release 1.93

Fixes

 - Problem mit Soundwiedergabe 
   behoben. 

 - Verbindung mit der sTracks 
   Companion App auf Samsung 
   Galaxy Watch sollte wieder
   funktionieren.
   
 - "Too Large Bitmap" Fehler in
   der Kartenimplementierung 
   beseitigt.
  
 - Die Geoid-Korrektur wurde für 
   Android-Versionen < 7 nicht 
   korrekt durchgeführt.


--------------------------------
Version 1.90   01.02.2021
--------------------------------

Google Play Release 1.9


--------------------------------
Version 1.88   26.01.2021
--------------------------------

Fixes

   Ein Rundungsfehler bei der 
   Berechnung des verfügbaren
   Speicherplatzes verursachte
   eine fehlerhafte Meldung.

   Bessere Glättung der Rotation
   der Karte im Kompass-Modus

   Verbesserter Dialog beim
   Download von Offlinekarten
    

--------------------------------
Version 1.87   25.01.2021
--------------------------------

Umstellung auf die androidx 
support libraries 


--------------------------------
Version 1.86   18.01.2021
--------------------------------

 - Verbesserungen in einigen
   Layouts und Menüs

 - source code obfuscation
   mit proguard


--------------------------------
 Version 1.85   (10.01.2021)
--------------------------------

Fix

  - Crash bei verbundenem 
    ANT+ Herzfrequenz-Sensor
    gefixed.


--------------------------------
 Version 1.84   (08.01.2021)
--------------------------------

Fixes

  - Layout Problem beim Pixel 4
    behoben.

  - Waypoint als eigenständige 
    App wieder entfernt.


--------------------------------
 Version 1.83   (03.01.2021)
--------------------------------

sTracks wird als Standard-App
zum Öffnen von FIT und GPX 
Files und Downloads registriert. 
Dadurch können Routen direkt von 
der sTracks Internetseite 
geladen werden.


Aufstiegsberechnung

   Barometer-Glättungsfilter von 
   0.65 auf 0.55 angepasst



--------------------------------
 Version 1.81   (24.12.2020)
--------------------------------

 Anpassung der Distanzparameter
 beim Tracking von Routen

 Fix für Absturz beim Programm
 start auf älteren Android -
 Versionen



--------------------------------
 Version 1.80   (19.12.2020)
--------------------------------

Google Play Release 1.80 


--------------------------------
 Version 1.793   (14.12.2020)
--------------------------------

User Interaction Timeout

   App wird nicht geschlossen,
   wenn eine Aufzeichnung läuft.

   Stattdessen Display-Timeout
   verwenden  (MENU -> DISPLAY)


Karte

   beim Start einer Aufzeichnung 
   wird in den Navigation-Mode
   gewechselt und der Zoom-Level
   angepasst.
  


Verschiedenes

   minimale Android SDK Version 
   auf 16 erhöht (Android 4.1.)



--------------------------------
 Version 1.792   (05.12.2020)
--------------------------------

Routing

  - Berechnung der Distanz vom
    Kurs war fehlerhaft

  - verbesserte Erkennung von
    Kursabweichungen


Anfangshöhe
    Die Glättung der srtm3-Daten
    führte am Anfang einer Tour
    zu falschen Werten. Die
    Glättung wurde deaktiviert.

    
   

--------------------------------
 Version 1.79    (23.11.2020)
--------------------------------

Routing

  - Verbesserungen beim Laden von
    Routen

  - Datenfelder für Routendaten
    wie Rest-Distanz und Aufstieg
    standardmäßig auf der zweiten
    Datenseite

  - akustische Signale beim Finden
    und Verlassen der Route



--------------------------------
 Version 1.78    (20.11.2020)
--------------------------------

Sicherheit/Privacy

  - Netzwerkzugriffe auf https 
    umgestellt und im Manifest
    'usesCleartextTraffic' auf
    false gesetzt.


Barometerkalibrierung

  - zur Kalibrierung beim Start 
    werden nun außer der Home-
    Position auch alle anderen 
    gespeicherten Waypoints 
    verwendet.

  - die manuelle Kalibrierung
    (im Hauptmenü) bietet die
    Speicherung der aktuellen
    Position und Höhe als 
    Waypoint an.


FIXES

 - Problem bei der initialen
   Höhenbestimmung behoben

 - Fehler bei Drehung der Karte
   im Navigationsmodus behoben.
    


--------------------------------
 Version 1.77    (16.11.2020)
--------------------------------

Barometerkalibrierung

 - die automatische Kalibrierung 
   beim Start der App verwendet
   zusätzlich zur Home-Position 
   nun auch die Position der 
   letzten User-Kalibrierung 
   (Menu --> Kalibrierung)


Trackliste
 
 - Zusammenfassung in Titelzeile
   der insgesamt gefahrenen 
   Distanz und der Höhenmeter


--------------------------------
 Version 1.76    (09.11.2020)
--------------------------------

Stop/Standby

  - STOP beeendet nicht mehr den
    Datenservice - so dass beim
    Fortsetzen kein Restart 
    erforderlich ist.

  - erst das Beenden der App mit 
    dem Back-Button beendet den
    Service, wenn die aktuelle
    Aufzeichnung gestoppt ist.
    Bei laufender Aufzeichnung
    wird diese im Hintergrund
    fortgesetzt (standby).


Routen

  - Routenliste im Hauptmenü
  - Kontextmenü angepasst
  - aktuelle Route wird beim
    Fortsetzen wieder geladen


Fixes

  - Map Event Handling verbessert
    Sprünge zum Rand der Karte
    oder zu extremen Zoomlevels
    sollten nun nicht mehr
    vorkommen



--------------------------------
 Version 1.74    (29.10.2020)
--------------------------------

Fix for SERIOUS PROBLEM

  The App crashes immediately at
  start if the system language 
  is not German.



--------------------------------
 Version 1.73    (26.10.2020)
--------------------------------

Fixes

 - Problem mit Multi-Touch Events
   bei der Gestenerkennung in
   MapView behoben

 - Map Tile Download war sehr 
   langsam unter Android 11 
   (createNewFile) 



Verschiedenes

 - Disclosure wegen Erfassung
   von Standort daten im 
   Hintergrund

 - Minimale SDK Version auf 14  
   erhöht (Android 4.0)

 - Update auf aktuelle Version
   des ANT+ SDK (B6)


--------------------------------
 Version 1.72    (21.10.2020)
--------------------------------

Fixes

- Textfarben in Notification für
  den Dark-Mode angepasst.

- WebViewActivity
  Security Problem beseitigt 
  (onReceivedSslError)


--------------------------------
 Version 1.71    (19.10.2020)
--------------------------------

Einige kleine Verbesserungen nach
Hinweisen durch die Prüfung von
Google Play.



--------------------------------
 Version 1.70    (10.10.2020)
--------------------------------

- Varianten für Google Play Store

  kostenlose Version (light)
  com.algobase.stracks_light
  Die Zahl der Tracks ist auf 10
  beschränkt.

  Vollversion (full)
  com.algobase.stracks_full

- Anpassungen für Android 11 


--------------------------------
 Version 1.69    (21.08.2020)
--------------------------------

Energiesparen bei Unterbrechung 
der Aufzeichnung

   Beim Drücken des STOP-Buttons
   wird der Hintergrund-Service
   zur Datenaufzeichnung beendet.
   Wenn die App danach in diesem
   gestoppten Zustand geschlossen 
   wird (durch Drücken der Back-
   Taste oder nach Timeout), dann 
   muss sie manuell neu gestartet 
   werden, damit die Aufzeichnung 
   fortgesetzt wird.
  

FIXES

 - SRTM3 Höhe
   ungültige Werte werden nun
   ignoriert

 - Home-Altitude war eventuell
   undefiniert.

 - Maps
   Anpasssung an Bildschirmgröße
   verbessert

 - Automatisches Abschalten ist
   nun vor dem Start einer Auf-
   zeichnung deaktiviert.

 - Aufstiegsberechnung angepasst
   (ascent_eps = 1.0)

 - Barometer
   Glättungsinterval von 25 auf 
   16 verkürzt

 - Datenfelder
   Fehler beim Abpeichern und 
   Laden korrigiert

 - Anpassungen für Android 10
   targetSdk = 29
   legacy external storage


 - weitere kleine Verbesserungen



--------------------------------
 Version 1.68    (23.02.2020)
--------------------------------

Fixes

Maps

   Maximale Tile-Size reduziert
   zur Vermeidung von Out of 
   Memory Exceptions auf großen 
   Displays

   Probleme beim Zoomen und
   Verschieben behoben (bei 
   laufender Aufzeichnung oder 
   fehlender Netzverbindung)


GPS

   Geoid-Korrektur funktionierte
   nicht mit negativen Werten
   (z.B. in Goa/Indien)


Datenfelder

   Verbesserungen im Layout
   (Floatingpoint Darstellung)



--------------------------------
 Version 1.67    (14.12.2019)
--------------------------------

Fixes

  - Hochladen (sTracks & Strava)

    Das automatisches Hochladen 
    beim Beenden (FINISH) einer 
    Tour funktioniert wieder.


  - weitere kleine Anpassungen

    Benachrichtigungen (Layout)
    Upload-Dialog (Description)
    Trackliste (Layout & Menüs)
    Datenseiten (maximale Zahl 
    der Felder auf 12 erhöht)



--------------------------------
 Version 1.66    (03.11.2019)
--------------------------------

Anpassungen für Android 10

  - Permissions
  - Notifications
  - Akku Optimierung
  - Location (Nmea-Listener)
  - Dialog Fragmente


Strava-Schnittstelle

  - Umstellung auf die neue
    Authentifizierungsmethode
    (Refresh Tokens)


Weitere Fixes

   Profil-Seiten
   Problem mit nicht angezeigten 
   vertikalen Labels beseitigt.

   GPS-Höhe
   Anzeige erst nach erstem 
   gültigen Wert
   

Experimentell

   Anbindung an Galaxy Watch
   zur Anzeige der aktuellen
   Daten auf der Uhr. Vibration 
   bei bestimmten Events, z.B.
   beim Erreichen von Aufstieg-
   oder Distanz-Limits).



--------------------------------
 Version 1.65    (13.08.2019)
--------------------------------

Fixes

GPS

   - Fehler in Geoid-Korrektur 
     beseitigt

   - Anzeige auch von Galileo-
     und Beidou-Satelliten
     in der Satellitenansicht.


Karten

   - Fehlermeldung bei fehlender 
     Netzverbindung beseitigt.

   - Puffergröße reduziert, um 
     Out-Of-Memory bzw. "trying 
     to draw too large Bitmap" 
     Fehlermeldung zu vermeiden.

   - Kachelgröße besser an Bild-
     schirmauflösung angepasst.
 


--------------------------------
 Version 1.64    (17.07.2019)
--------------------------------

Kartenansicht

   Android MapView (Google Maps)
   komplett durch eigene Karten-
   implementierung ersetzt.

   Regenradar-Overlay 
   (experimentell) wird durch 
   Button (Regenwolke) in linker
   oberer Ecke aktiviert bzw. 
   deaktiviert.


Fixes

  - In der Satellitenansicht
    wurden die Balkendiagramme
    teilweise nicht angezeigt - 
    funktioniert jetzt wieder.

 
  - Der Hintergrund-Service wird 
    nun (wenn keine Aufzeichnung
    läuft) bei Deaktivierung der 
    App automatisch beendet.




--------------------------------
 Version 1.63    (23.06.2019)
--------------------------------

Anpassungen an Android 9 (Pie)


Aufstiegsberechnung 

    Glättungsparameter angepasst
    ascent_eps = 0.85 


Fixes

  - Layout für höhere Display-
    Auflösungen verbessert

  - Karte

    Problem beim Zoomen behoben
    (Hardware-Beschleunigung war 
     deaktiviert).

    Flüssigeres Zoomen und 
    Rotieren bei OSM-Karten

    Verbesserter Dialog zur 
    Verwaltung der SRTM3-Daten.

    Menü zur direkten Auswahl
    des Kartentyps (rechts oben).



--------------------------------
 Version 1.62    (12.04.2019)
--------------------------------

Energiesparmodus

   Die Aufzeichnung von Tracks
   funktioniert bei aktiviertem
   Energiesparen nicht korrekt,
   da GPS-Positionen evtl. nur
   sporadisch erfasst werden.

   Beim Start wird getestet,ob 
   der Energiesparmodus aktiv
   ist und eine enstprechende
   Warnung angezeigt.


Fixes

    Einige Probleme in der 
    Kartendarstellung behoben:
    - Zoomen und Rotieren mit 2 
      Fingern auch ohne Sperrung
      des View-Pagers und bei 
      laufender Aufzeichnung, 
    - Behandlung fehlender 
      Kacheln.


    Mögliche Endlosschleife in 
    der Track-Synchronisation 
    bei fehlender Online Daten- 
    verbindung beseitigt.

    Liste der erkannten ANT+
    Devices wird beim Resume
    neu aufgebaut.

    Ausgabe von Diagnosedaten 
    erweitert, um Probleme mit
    der GPS-Aufzeichung besser
    zu erkennen.



--------------------------------
 Version 1.61    (08.01.2019)
--------------------------------

Aufstiegsberechnung 
    Barometerglättungsintervall
    auf 4 sec verkürzt und
    ascent_eps auf 0.9 gesenkt.

Home Position
   der Home-Waypoint wird nun 
   automatisch zum Server über-
   tragen.

Interaction Timeout
   User-Interface wird nach 10 
   Minuten ohne Interaktion
   beendet. Service läuft bei 
   aktiverAufzeichnung im 
   Hintergrund weiter.


Fixes

   Programmabsturz in der Track
   listenverwaltung behoben.
   Das passierte beim Drehen
   des Gerätes, wenn ein Dialog
   geöffnet war.

   Absturz beim Abschluss von
   Indoor-Aufzeichnungen gefixed.

   Tracking: wiederholtes Senden
   derselben aktuellen Position 
   beseitigt.



--------------------------------
 Version 1.60    (14.09.2018)
--------------------------------

Track-Upload
  - Strava: exakte Übernahme des 
    berechneteten Aufstiegs durch 
    Umstellung auf FIT-Format und 
    Vortäuschung eines Edge 1000.


Map View
  - Zoom Buttons am rechten Rand
  - Buttons für Satellitenansicht 
    und Home-Position in oberer 
    Buttonzeile


SRTM3
  - effizientere Initialisierung
  - Beim Start mit der letzten 
    bekannten GPS- oder Netzwerk- 
    position initialisieren.


Waypoints
   - Fotos mit hoher Auflösung


Fixes
  - Fehler in der initialen
    Höhenberechnung beseitigt
    (calibration delta wurde
     evtl. falsch gesetzt).
  - Problem beim gleichzeitigen 
    Hochladen einer Tour nach 
    sTracks und Strava behoben.



--------------------------------
 Version 1.59    (06.08.2018)
--------------------------------

Bug Fix Release 

   Notwendig wegen eines Fehlers 
   in der Barometer-Kalibrierung 
   in Version 1.58.



--------------------------------
 Version 1.58    (03.08.2018)
--------------------------------

Ant+ Sensor Dialog 
   Das automatisches Öffnen bei 
   der Erkennung von neuen 
   Devices hat genervt und ist 
   nun deaktiviert.


Dialoge/Einstellungen
   Struktur und Layouts wurden
   überarbeitet. Umstellung auf
  (full-screen) Dialogfragmente,
   Animation beim Öffnen.


Hauptmenü
   Das Menü kann nun auch durch 
   den üblichen Button in der 
   Titelleiste geöffnet werden. 
   Der mittlere MENU-Button kann
   somit anders belegt werden. 
   Einstellungen --> 
              Buttons/Shortcuts


Waypoint/Home Dialog
   - Layout verbessert 
   - Adresse wird angezeigt


Kalibrierung
   - Home Position wurde evtl. 
     nicht korrekt behandelt.
   - Wiederholte Kalibrierung 
     mit derselben Position. 
     beseitigt.
   - Manuelle Kalibrierung nun
     aus dem Hauptmenü möglich.

Strava
   Problem beim Herunterladen
   behoben (neues Format der 
   Trackdaten).


Auto-Standby Modus
   In diesem Modus wird nach
   Drücken des START-Buttons 
   die Haupt-Applikation sofort
   beendet. Aktivierung in 
   Einstellungen-->Aufzeichnung
   


--------------------------------
 Version 1.57    (10.07.2018)
--------------------------------

Ant+ Sensor Dialog 
    schließt nach 15 Sekunden, 
    falls nach der Entdeckung 
    eines Devices automatisch 
    geöffnet.

Aufstiegsberechnung 
    ascent_eps = 1.0

SRTM3 Höhe
    Anpassungen für langsame 
    Internetverbindungen
    download-timeout verlängert.

Kalibrierung
    verwendet nun die GPS Höhe, 
    wenn SRTM3 nicht verfügbar.


Weitere kleinere Verbesserungen.


--------------------------------
 Version 1.56    (26.05.2018)
--------------------------------

Aufstiegsberechnung 
  - weitere Anpassung des
    Glättungsparameters
    (ascent_eps = 1.2)

Fixes
  - Fehler im Config-Update
    behoben (falsche Sound-URL)



--------------------------------
 Version 1.55    (20.04.2018)
--------------------------------

Neue Release wegen eines Fehlers 
in der total_ascent Funktion von 
Version 1.54


--------------------------------
 Version 1.54    (15.04.2018)
--------------------------------

Fehlerkorrekturen 
       & kleine Verbesserungen


 - Aufstiegsberechnung
      berechnete Werte waren
      etwas zu niedrig. Habe
      den Glättungsparameter
      (ascent_eps) von 2.0 auf
      1.5 gesenkt.

 - Aufzeichnung
      ungültige Höhenwerte vor 
      erster Kalibrierung durch
      GPS Höhenwerte ersetzt.

 - Import von Fit-Dateien
      Eliminierung ungültiger 
      GPS Positionen

 - Barometerkalibrierung
      bei fehlenden srtm3-Daten
      wird zunächst die GPS 
      Höhe verwendet

 - SRM3 Höhendaten
      für fehlende Kacheln (z.B.
      am Meer) wird die Höhe 0
      verwendet.

 - Tracking
      Hochladen von Fotos 
      funktioniert wieder

 - Home Position
      Erinnerung beim Start,
      falls nicht festgelegt.


--------------------------------
 Version 1.53    (24.02.2018)
--------------------------------

Fixes

 - mögliche Schleife in der
   Barometerkalibrierung bei 
   undefinierter Home-Position
   beseitigt.

 - Problem beim Abspielen von 
   akustischen Signale unter
   Android 7 (Nougat) behoben.

 - Ignorieren von ungültigen
   GPS-Positionen (Längen- oder
   Breitengrad gleich 0).

 - weiterer Versuch, Verbindungs
   abbrüche zu ANT+ Sensoren zu
   vermeiden. Es wird empfohlen,
   die ältere Version 3.1.0 des 
   ANT+ Plugins Service zu
   installieren (siehe sTracks
   Downloadseite).

 - ohne Netzwerkverbindung keine
   Kommunikation mit Tracking- 
   Server durchführen.


Akustische Signale

   Aufstiegsintervalle (100 m)
   können nun per Sprachausgabe
   angesagt werden.


Energie

   automatischer Shutdown der
   Hauptapplikation nach einer
   bestimmten Zeit (2 Minuten) 
   ohne User-Interaktion





--------------------------------
 Version 1.52    (03.02.2018)
--------------------------------

ANT+ Sensor Dialog

   - Reset löscht nun alle 
     gespeicherten Devices.
     Danach kann eine neue
     Verbindung eingerichtet
     werden (connect).

   - Auch der Disconnect-Button 
     löscht das entsprechende
     gespeicherte Device.


Strava Upload

    - funktioniert wieder durch
      Umstellung auf GPX-Format
      (wegen Problem mit Fit)


Aufstiegsberechnung

    - Bessere Glättung der 
      Barometerwerte


Verlagerung von Funktionalität 
in den Service

    - SRTM3 Höhenberechung
    - Aufstiegsberechnung
    - Barometerkalibrierung



--------------------------------
 Version 1.51    (01.01.2018)
--------------------------------

Fixes

 - Problem mit nicht gespielten
   akustischen Signalen behoben

 - Verbesserungen in Aufstiegs-
   berechnung

 - Download von Updates erfolgt
   nun im Files-Directory

 - weitere kleine Verbesserungen



--------------------------------
 Version 1.50    (01.10.2017)
--------------------------------

HRV
  - Erkennung und Eliminierung 
    von RR-Artefakten

  - neue Datenfelder
    HRV Zeitinterval
    HRV Artefakte


--------------------------------
 Version 1.49    (27.09.2017)
--------------------------------

Trackimport

  - startet nun in dem zuletzt 
    verwendeten Verzeichnis

  - man kann Labels für die
    importierten Tracks angeben

  - importierte Tracks werden
    (temporär) farblich hervor
    gehoben


Herzfrequenz-Variabilität

   Bei Verwendung eines Ant+
   Herzfrequenzgurts werden die
   RR-Intervalle erfasst und
   ausgewertet. Hierzu gibt es
   folgende neue Datenfelder
   RR-Intervalle, HRV RMSSD,
   HRV LN(RMSSD), HRV PNN50,
   HRV Score

   TODO
   - Anzeige als Chart im
     Herzfrequenzprofil
   - Aufzeichnung während 
     des Trainings


Strecken (Courses)

   analog zur Trackliste gibt es
   nun auch eine Strecken-Liste.
   Strecken können (wie Tracks)
   mit dem sTracks-Account 
   synchronisiert, importiert,
   und geladen werden. Geladene
   Strecken sind auf der Karte
   sichtbar. Außerdem kann man
   Tracks als Strecke speichern.

   TODO: Abfahren einer Strecke 
   mit akustischer Warnung bei
   Abweichung.
   



--------------------------------
 Version 1.48    (03.09.2017)
--------------------------------

Akustische Signale
  In den Einstellungen kann man
  nun die Limits für die versch.
  Aufstiegssignale individuell
  einstellen.


Fixes
Fehler im FIT-Reader korrigiert:
ungültige Positionen werden nun
ignoriert.



--------------------------------
 Version 1.47    (11.06.2017)
--------------------------------

Titelleiste
  Icon für erkannten Power-Sensor

Neues Notification Icon


Fixes

  Upgrade auf aktuelle FIT SDK

  Pausenerkennung repariert
  Pausen wurden in der letzten
  Version ignoriert. Dies führte
  zu fehlerhafter Durchschnitts-
  geschwindigkeit.

  Deaktivierung aller akustischer
  Signale funktioniert nun.

  Reset einiger Einstellungen nach
  Softwareupdate angepasst (z.B.
  Verwendung des Barometers).




--------------------------------
 Version 1.46    (23.04.2017)
--------------------------------

Neue Chart-Datenseite
  - Power-Profil zur Anzeige
    des Leistungsverlaufes


Hilfetext-System

  - Hilfe-Button "?" in allen
    Dialog-Fenstern zur Anzeige
    von (HTML) Hilfetexten 

  - Die eigentlichen Texte 
    müssen allerdings noch 
    geschrieben werden.


Fixes

  - Illegale Zahleneingaben 
    (NumberFormatExceptions)
    werden nun abgefangen und 
    führen nicht mehr zum 
    Absturz.

  - URL des SRTM3 Servers 
    hat sich geändert und ist
    nun korrigiert (die falsche 
    alte URL verursachte Fehler
    bei der Höhenberechnung).

  - Anpassungen für Android-7
    (Nougat) z.B. Unterstützung 
    des Multi-Window Modus.



--------------------------------
 Version 1.45    (22.11.2016)
--------------------------------

sTracks Server
  - schnelleres Connect durch 
    neues Protokoll


Indoor Recording-Modus
(langer Click auf Start)

  - Track ohne GPS-Daten 
    z.B. zum Aufzeichnen der
    Herzfrequenz und Distanz
    beim Spinning

  - dazu muss im Startdialog 
    eine Pseudo-Geschwindigkeit
    angeben werden

  - Eine solche Traininings-
    einheit kann dann genauso 
    wie eine normale Tour auf 
    den Server hochgeladen 
    werden.


Display-Sperre
(langer Click auf Titel-Leiste)
     sperrt das Display komplett
     sodass keine Touch-Eingaben
     mehr möglich sind. Die Ent-
     sperrung erfolgt durch Druck
     auf die Leiser-Taste.


Einstellungen->Buttons/Shortcuts
     man kann nun auch Aktionen
     für kurzes und langes 
     Klicken der Titel-Leiste
     und Doppelklick auf die
     Datenseiten definieren.

Fixes
  - Strava-Upload repariert
  - Google Fit Unterstützung
    (zunächst) wieder entfernt.



--------------------------------
 Version 1.44    (26.09.2016)
--------------------------------

Verbesserungen und Fixes

  - Laden von abgespeicherten 
    Tracks beschleunigt.

  - Beim Laden bzw. Fortsetzen 
    war die Erkennung von Pausen 
    und die Berechnung der Zeit
    fehlerhaft.

  - Im Zeit-Datenfeld wird nun
    auch die Pausenzeit mit
    angezeigt.



--------------------------------
 Version 1.43    (28.08.2016)
--------------------------------

Sorry - 
wegen schwerwiegendem Fehler in
Version 1.42 ist leider nochmal 
ein Update erforderlich.



--------------------------------
 Version 1.42    (26.08.2016)
--------------------------------

Hauptmenü 
  - modernere Icons
  - Holo-Light Theme


Fixes und Verbesserungen

  - Höhenberechnung verbessert

  - Problem beim Beenden behoben

  - Fehler in Pausenerkennung

  - Falsche Zeitwerte nach dem
    Laden/Fortsetzen

  - Akustische Signale beim
    Laden/Fortsetzen deaktiviert



--------------------------------
 Version 1.41    (01.07.2016)
--------------------------------

Wegen evtl. noch existierender
Probleme bei Stopp und Neustart 
des Datenservers, werden jetzt
die entsprechenden Log-Dateien
beim Beenden einer Tour zur
Analyse auf den Server geladen.



--------------------------------
 Version 1.40    (23.06.2016)
--------------------------------

Ein schwerwiegender Fehler im 
DatenServer ist nun hoffentlich
beseitigt:

    Nach Abbruch und Neustart 
    durch das System (z.B. bei
    Speichermangel) wurde die
    Aufzeichung nicht fortge-
    setzt.


Auto-Start Modus

 - Kann in Menu-->Einstellungen
   -->Aufzeichnung aktiviert
   werden. Dann wird die Track-
   Aufzeichnung bei erkannter
   Bewegung automatisch gestartet.


Akustische Signale

 - Dialog zur Auswahl der Sounds
   vereinfacht.

 - Signale bei Überschreitung 
   bestimmter Limits für z.B. 
   Höhenmeter, Herzfrequenz, 
   oder Distanz.


Karten 

 - neuer Dialog zum Downloaden 
   von Open Street Map Karten
   (Auswahl der Zoom-Levels)

 - die lokale Speicherung der 
   Karten kann nun auch auf die 
   externe SD-Karte erfolgen

 - kurzer Click auf die Karte
   öffnet nun ein Kontextmenu


Trackliste

 - auch hier öffnet ein kurzer
   Click das Kontextmenü



--------------------------------
 Version 1.39    (02.03.2016)
--------------------------------

Android-6 (Marshmallow) 
   einige notwendige Anpassungen
   insbesondere  zur Erteilung 
   von App-Berechtigungen.

Datenaufzeichnung 
Einstellungen --> Aufzeichnung 
--> Trackpunkte

Hier gibt es zwei Optionen:

 - GPS Positionen
   Aufzeichnung der Daten für 
   jede neue GPS Position
   (Default-Einstellung)

 - Sekundentakt
   Trackpunkte werden im 
   Sekundentakt aufgezeichnet
   (unabhängig von Bewegungen).
   Sollte zum Aufzeichnen von 
   Sensordaten (Herzfrequenz, 
   Leistung, ...) beim Indoor-
   Training verwendet werden.


Einstellungen (neue Menüpunkte) 
 - App-Info
   zum direkten Zugriff auf die 
   App-Systemeinstellungen.

 - Benutzerdaten
   Geburtsdatum, Gewicht, 
   maximale Herzfrequenz


Datenfelder (neues Feld) 
 - Prozent der max. Herzfrequenz


ANT+ Probleme
 - Fix für Problem mit Verbind-
   ungsabbrüchen (Neustart des
   Scanning)

 - Zustand der ANT-Sensoren wird
   nach Neustart der Benutzer-
   oberfläche korrekt angezeigt.
   

Sonstiges
 - Update auf aktuelle FIT-SDK 
   (Version 16.3)


--------------------------------
 Version 1.38    (14.09.2015)
--------------------------------

Accounts
   Unterstützung von Google Fit
   (experimentell)


Tracklist
   Kontext-Menü neu strukturiert


Barometer Höhe
   verbesserte Glättung


Haupt-Menü aufgeräumt

Fixes

   Der GPS-Status wird nun nach 
   Resume korrekt angezeigt.

   sTracks-Account: Anforderung 
   eines Passworts funktioniert
   wieder.


--------------------------------
 Version 1.37    (25.06.2015)
--------------------------------

Datenfelder
   neuer Dialog zur Auswahl der
   Hintergrundfarben - wegen
   einer neuen Farbdarstellung
   müssen beim Update alle 
   Farben  auf Defaultwerte
   gesetzt werden

Strava
   Download-Fehler beseitigt 
   (falsche Zeitwerte)

   Download von manuell hinzuge-
   fügten Activities verursachte
   Absturz - wird nun nicht mehr
   ausgeführt.

Trackliste
   Hinweis bei Auswahl des
   aktiven Tracks: Laufende 
   Aufzeichnung.

   Verbesserter Sync-Dialog
   (Auswahl der Tracks)

Höhenberechnung/Kalibrierung
   beim Start Kalibrierung mit
   letzter bekannter Höhe und
   schnellere Kalibrierung mit 
   SRTM3-Höhe sobald verfügbar.

Track-Finish Dialog
   Ausblenden der Upload-Option,
   wenn nicht bei entsprechendem
   Account angemeldet.



--------------------------------
 Version 1.36    (06.06.2015)
--------------------------------

FIT-Format
  - Export und Import von Tracks
    (siehe Trackliste) sind nun
    auch im FIT-Format möglich.

  - beim Strava-Upload wird nun
    FIT verwendet


Akustische Signale
   werden jetzt als Notification
   Sound abgespielt und beachten
   die entsprechende im System 
   eingestellte Lautstärke.


Accounts
   das sTracks-Passwort kann nun
   wieder geändert bzw. neu an-
   gefordert weren.


Karteneinstellungs-Dialog

  - neuer Button für Download 
    von OSM Offline-Maps startet
    entsprechenden Dialog

  - neuer Button zum Start des 
    SRTM3 Konfigurations-Dialogs
    (Verwaltung der Tiles)


Trackverwaltung
  - Sync bietet eine Liste zur 
    Auswahl derTracks an, die 
    hoch- bzw. runtergeladen
    werden sollen.

  - Import und Export von FIT
    Dateien


Fixes
   Das Hauptmenü (popup) wurde 
   manchmal von selbst wieder
   geschlossen - sollte nun
   nun nicht mehr vorkommen.


weitere Verbesserungen
   Farben, Dialoge, Menus, ... 



--------------------------------
 Version 1.35    (23.05.2015)
--------------------------------

Strava
  beim Download von Tracks 
  werden alle Daten geladen -
  so kann kann auch Strava als 
  vollwertige Backup-Plattform
  verwendet werden.

Trackliste
  zeigt nun neben den Tracks des 
  sTracks-Servers auch die nach 
  Strava hochgeladenen Touren in 
  einem eigenen Tab an. 

Accounts 
  Die Konfiguration der Accounts
  (sTracks und Strava) ist nun
  direkt im Hauptmenu verfügbar.
  Man kann sich an- und abmelden, 
  entsprechend werden danach Tabs
  in der Tracklistensicht ange-
  zeigt.
   

Benachrichtungstöne
  sind nun aus den Systemklängen
  auswählbar - siehe MENU -->
  Einstellungen -> Akustische
  Signale
  

weitere Verbesserungen und Fixes
  


--------------------------------
 Version 1.34    (25.03.2015)
--------------------------------

OSM-Karten
   Gestensteuerung verbessert -
   sollte nun nicht mehr zu weit
   entfernten Punkten (Südpol) 
   springen.


Das Menü zur Auswahl der Datenf-
felder ist nun nach Kategorien 
sortiert und dadurch 
übersichtlicher 


Problem der übrig bleibendenn
'tmp.trk' Dateien sollte nun
behoben sein.



--------------------------------
 Version 1.33    (16.03.2015)
--------------------------------

Verbesserung der Gestensteuerung
in OSM-Karten 
  - single click zoomed nun zur
    aktuellen Tour und nur dann
    zum aktuellen Punkt, wenn
    keine Tour geladen ist.

Trackliste
  - Kontextmenu vereinfacht
  - bei Abbruch Rueckkehr zur
    Trackliste.



--------------------------------
 Version 1.32    (05.03.2015)
--------------------------------

ANT+
 - Das zuletzt verwendete Device
   wird automatisch verbunden.

 - Konfigurationsdialog ist nun
   direkt im Hauptmenu verfügbar
   (Menu->ANT+ Sensoren).


Open Street Maps
 - Es wird eine .nomedia Datei 
   im OSM-Folder (/sdcard/osm) 
   angelegt, um zu verhindern, 
   dass Kartenkacheln als 
   Mediendateien erscheinen.

Erscheinungsbild
 - Als Menüdarstellung kann 
   nun zwischen traditionell 
   und "action bar" (default) 
   gewählt werden.


Verschiedenes
 - Problem in Höhenkorrektur
   (Barometerkalibrierung)
   behoben.

 - DataService speichert nun
   Backups der letzten drei
   Aufzeichnungen in 
   /sdcard/sTracks/gps.




--------------------------------
  Version 1.31    (02.01.2015)
--------------------------------

Verbesserter Sensor-Dialog zur
Konfiguration von ANT+ und
Bluetooth Devices.


GPS kann nun deaktiviert werden
(Einstellungen/Aufnahmeoptionen)
um z.B. beim Rollentraining den
Powersensor zur Aufzeichnung der
Strecke zu verwenden.


Zentrierung der Startanimation
verbessert.


Verwendung der aktuellen Material 
Design Themes auf Android 5
Devices.


Weitere kleinere Verbesserungen
und Fixes.



--------------------------------
  Version 1.30    (28.10.2014)
--------------------------------

Neu: Unterstützung von Strava
     (www.strava.com)

TrackList
   Als Cloud-Speicher wird
   nun außer sTracks auch
   Strava unterstützt.


Settings/Accounts 
   Dialog zur Auswahl und
   Konfiguration des aktiven
   Account. 


Datenseiten
   Datenfelder für Lap-Werte


Verschiedenes
  Nach Reboot (z.B. Batterie-
  wechsel) werden noch nicht 
  beendete Aufzeichnungnen 
  automatisch fortgesetzt.


einige Layout-Verbesserungen 
   z.B. SeekBar statt IntPicker 



--------------------------------
  Version 1.29    (21.07.2014)
--------------------------------

Server Login 
  Meldung  bei erfolgreicher 
  Anmeldung oder Änderung des
  Passworts. 

MapView
  weitere Verbesserungen bei OSM
  Kartendarstellung

- Fixes
    IndexOutOfBoundsException
    bei Pausenzeiten länger 
    als 1h


--------------------------------
  Version 1.28    (13.06.2014)
--------------------------------

- Verbesserungen für OSM-Karten
  (scroll/zoom)

- Zugangsdatenverwaltung
  Fehler in Kommunikation mit
  Server beseitigt.


--------------------------------
  Version 1.27    (07.06.2014)
--------------------------------

 - Neue eigene Implementierung 
   einer Open-Street-Maps Karten-
   ansicht (effizienter als das
   OSMDroid-Paket). Insbesondere
   werden nun lokal gespeicherte 
   (offline) Karten besser unter-
   stützt.
 
 - Verbesserung des Layouts und
   der Menüstruktur für kleinere 
   Displayauflösungen.

 - Einige kleinere Fehler 
   beseitigt.


--------------------------------
  Version 1.26    (22.04.2014)
--------------------------------

Unterstützung von ANT+ Sensoren
für Herzfrequenz und Leistung.

  -hierzu muss das Mobiltelefon 
   einen ANT+ Sensor enthalten
   oder mit einem ANT+ USB Stick
   im OTG-Modus betrieben werden.
   (http://www.thisisant.com/
   developer/ant/ant-in-android)

  - Konfiguration über
    Menu->Einstellungen->Sensoren

  - neue Datenfelder
      Leistung (Watt) 
      Drehmoment (Nm)
      Trittfrequenz (rpm)
  
  - Leistung wird aufgezeichnet 



Open Streep Maps

  - Umstellung auf aktuelle 
    OSMDroid-Version (4.1)


Sonstige Verbesserungen

 - Höhenberechnung bei Life-
   übertragung ist nun genauer
   (lieferte viel zu hohe Werte)

 - optische Verbesserungen in 
   einigen Dialogen



--------------------------------
  Version 1.25    (03.01.2014)
--------------------------------

Umstellung auf neuen Server
(www.algobase.com) erfordert
Neuinstallation und manuelles
Löschen von Version 1.24

Neue Adresse der Biking-Seiten:

www.algobase.com/biking/username


--------------------------------
  Version 1.24    (18.11.2013)
--------------------------------

Bugfix-Release

  Sorry, nochmal ein Update, weil
  der Fehler beim Software Update
  Check noch nicht behoben war.

  Problem mit der Darstellung von
  Check- und Radio-Buttons beim 
  Samsung S4 beseitigt.

  Gelegentliche NullPointer-
  Exceptions in SRTM3-Matrix
  

--------------------------------
  Version 1.23    (15.11.2013)
--------------------------------

Optische Verbesserungen

 - Verwendung der aktuellen Holo-
   Light- und Holo-Dark Themes in 
   Dialogen (MENU->Einstellungen
   ->Erscheinungsbild).

 - Einstellung des Abstands der
   der Datenfelder in MENU->Ein
   stellungen->Display/Layout
   ->Datenränder (Standard: 0)


Bug Fixes
    NullPointerException in
    SoftwareUpdateCheck bei
    fehlender Netzwerkver-
    bindung.


--------------------------------
  Version 1.22    (28.10.2013)
--------------------------------

Display Timeout

  Es kann nun eine Ausschaltzeit
  (Timeout) für den Bildschirm
  angegeben werden, siehe MENU-> 
  Einstellungen->Display/Layout.
  Während einer Aufzeichnung  
  wird der Bildschirm nach der
  angegebenen Zahl von Sekunden
  ausgeschaltet und kann durch
  Berühren des Displays wieder
  aktiviert werden.

  Wird dieser Wert auf 0 gesetzt
  (Standardeinstellung) ist der
  Timeout-Mechanismus deaktiviert

  Durch Auswahl der "Screen Off"
  Operation (standarmäßig durch
  langen Klick auf den Start/Stop
  Button) kann der Bildschirm
  manuell deaktiviert werden.


Kleinere Verbesserungen
   z.B. Button-Layout

--------------------------------
  Version 1.21    (16.09.2013)
--------------------------------

Trackstatus
   Der aktuelle Status (running,
   stopped, finished) wird nun
   im Title besser dargestellt.


Track laden/fortsetzen
   Beim Laden (ohne Fortsetzung)
   wird der Track in den Zustand 
   finished versetzt (bei einer
   Fortsetzung in den Zustand
   stopped). Damit sollte das
   Problem mit zusätzlich ange-
   fügten Trackpunkten endlich
   behoben sein.

   Nach dem Laden wechselt der
   View nun zur Kartenansicht,
   zoomed auf den geladenen
   Track und wird gelocket.


Karte (Gestensteuerung)
   Ein langer Klick auf die 
   Karte zoomed zum aktuellen 
   Track, ein kurzer Klick zur 
   aktuellen Position.


kleinere Verbesserungen


--------------------------------
  Version 1.20    (10.08.2013)
--------------------------------

Aufstieg/Höhenmeter
   Auswahl bzw. Korrektur der 
   Höhenmeter beim Beenden des
   aktuellen Track. Dieser Wert
   wird dann unverändert zum
   Server übertragen. 

Bearbeiten der Trackdaten
   Aufstieg, Labels und Distanz
   können auch nachträglich in
   der Trackverwaltung editiert
   werden. Siehe Kontext-Menü: 
   "Bearbeiten".

Karte
   Die Track-Vereinfachung wurde
   in einen eigenen Thread ausge
   lagert (schnelleres Laden).

OSM
   Bei Verwendung von OpenStreet
   Map-Karten ist die Funktion
   zoomToTrack deaktiviert, da
   sie zum Einfrieren der App
   führte.


--------------------------------
  Version 1.19    (15.07.2013)
--------------------------------

Bugfix-Version

   Sorry, ein Problem in Version 
   1.18 macht leider eine neues 
   Update notwendig. 


--------------------------------
  Version 1.18    (03.07.2013)
--------------------------------

Verbesserungen und Fixes

 - Trackglättung
   Tracks werden in der Karten-
   darstellung geglättet und
   dadurch einfacher, so dass
   nun Manipulationen der Karte
   (Zoomen und Drehen) schneller
   ablaufen.

 - Open Street Maps
   Gestensteuerung zum gleich-
   zeitigen Zoomen und Drehen
   funktioniert nun auch für 
   OSM-Karten.

 - Standby
   Man kann nun auch einfach 
   durch Drücken der Back-Taste
   in den Standby-Modus wechseln.

 - GPS
   Verbesserte Anzeige der GPS-
   Verfügbarkeit.

 - Laden/Fortsetzen
   Problem beim Laden/Fortsetzen
   behoben (nach Stop wurde evtl
   noch ein zusätzlicher Track-
   punkt aufgezeichnet). Finish
   beendet den Track jetzt ohne 
   Dialog, wenn keine weieren 
   Punkte aufgezeichnet wurden.

 - Trackliste
   aktuell aufgezeichneter Track
   kann nicht mehr gelöscht bzw.
   ausgefiltert werden

 - Lautstärke
   Beim Programmstart wird die
   Audio-Lautstärke nicht mehr
   verändert.

 - Layout Einstellungen bleiben
   jetzt nach Software-Update
   erhalten.

 - Service
   Auch nach einem Absturz des 
   Tracking-Service (sollte nie 
   passieren) wird die letzte 
   Aufzeichnung fortgesetzt.


--------------------------------
  Version 1.17    (04.06.2013)
--------------------------------

MapView Gestensteuerung
  - Gleichzeitiges Rotieren und 
    Zoomen mit 2 Fingern
  - Doppel-Click: Zoom
  - Click: aktuelle Position
  - Langer Click: Menu

Satelliten-View (GPS)
  - Anpassungen für Nexus 4
  - Anzeige der Höhe über dem
  - Horizont (0 bis 90 Grad).

Start-Animation
   verbesserte Synchronisation 
   zwischen Rotationsanimation 
   und Progress-Bar.

Weitere Verbesserungen/Fixes

--------------------------------
  Version 1.16    (09.05.2013)
--------------------------------

Bugfix-Release

   Beseitigung eines ernsten 
   Fehlers in Version 1.15 
   (NullPointerException in
    GMapView.setCenter)


--------------------------------
  Version 1.15    (07.05.2013)
--------------------------------

- Open Street Maps:
  Die Verwendung von OSM-Karten
  ist nun möglich. In den Karten
  einstellungen kann man die ent
  sprechenden Karten auswählen.
  Auch die Offlineverwendung von
  OSM-Karten wird unterstützt.


- Track Laden/Fortsetzen:
  Aufnahme wird nach dem Laden
  gestoppt, falls nicht explizit
  im Dialog aktiviert.


- weitere kleinere Verbesserungen 
  und Fixes



--------------------------------
  Version 1.14    (01.04.2013)
--------------------------------

- Test, ob genug Speicher auf 
  der SD-Karte zur Verfügung 
  

- Problem bei Passworteingabe
  behoben.


--------------------------------
  Version 1.13    (04.03.2013)
--------------------------------

- Auto-Lap Funktion:
  Automatische Zwischenzeiten
  in vorgegebenem Zeit- oder
  Distanzintervall. Aktivierung
  in Einstellungen -> Aufnahme-
  optionen.

- Sprachen/Metric:
  Englisch und das emperiale
  Einheitensystem werden nun 
  auch in der Tracklisten-
  darstellung unterstützt.


- Bugfixes

  Fehler bei Konvertierung ins 
  emperiale Einheitensystem
  behoben.

  Fehlerhafter Offset auf den
  Profil-Seiten wurde beseitigt.

  OutOfMemory-Exceptions, die 
  beim Anlegen der SRTM3-Matrix 
  auftreten können, werden nun
  korrekt behandelt.

  Format-Exception beim Update-
  Check (z.B. bei fehlerhaftem
  CGI-Script auf Internetseite)
  wird jetzt abgefangen.

  NullPointerException im set- 
  password - Dialog beseitigt.


--------------------------------
  Version 1.12    (11.01.2013)
--------------------------------

- Labels

  Tracks können mit bis zu drei
  Labels versehen werden. Dabei 
  sollte Label 1 das Hauptmerk- 
  mal der Tour angeben (z.B.
  MTB, Rennrad, etc.).
  Beim Beenden der Tour (Finish)
  wird nach einem Label gefragt.
  Labels können jedezeit im ent-
  sprechenden Dialog in der 
  Trackverwaltung bearbeitet
  werden

- Steigung

  Die Berechnung der aktuellen
  Steigung wurde verbessert und
  sollte jetzt genauere Werte
  liefern.
  

- Bugfixes:

  Fehlende Freigabe der Broad-
  castreceiver für Batterie und 
  Datenservice hinzugefügt.

  Timeout-Problem im Service
  beseitigt.


--------------------------------
  Version 1.11    (05.01.2013)
--------------------------------

- Profilseiten
  neues Layout der Zoom-Buttons
  verbesserte Skalierung

- Karte
  neuer Kompass-Modus

- Bugfixes
   inkorrekte Favoriten URLs 
   fehlerhafte Daten-Layouts

- weitere kleine Korrekturen 
  und Verbesserungen

--------------------------------
  Version 1.1    (09.11.2012)
--------------------------------

- Fundamentale Änderung

  Die Erfassung und Speicherung
  von GPS- und anderen Sensor-
  daten erfolgt nun in einem
  Hintergrundprozess (Service),
  der auch weiterarbeitet, wenn 
  die Hauptapplikation (d.h. die
  Benutzeroberfläche) vom System
  beendet wird. Dies geschieht
  immer dann, wenn der Speicher
  knapp wird und eine Aktion mit
  hoher Priorität (z.B. Anruf) 
  verarbeitet werden muss.

  Durch Auswahl der "Standby"
  Funktion (langer Klick auf
  den rechten Button) kann die
  Hauptapplikation so beendet
  werden, dass die Aufzeichung
  im Hintergrund weiterläuft.
 
  Bei einem Neustart wird das
  Programm mit dem laufenden
  Track fortgesetzt.

 
- Passwort:

  Der Zugang zum Server wird 
  durch ein Passwort geschützt. 
  Das Passwort kann beim ersten
  Login frei gewählt und später 
  beliebig geändert werden. Ein
  neues Passwort kann vom Server
  angefordert und an die hinter-
  legte Emailadresse geschickt 
  werden. 



-------------------------------
  Version 1.06  (28.10.2012)
--------------------------------

- Bei Programmabstürzen wird ein
  Bug-Report erstellt, der beim 
  nächsten Programmstart auf den
  Server hochgeladen wird.

- Programm wird nach Absturz
  automatisch neu gestartet.
  Die laufende Aufzeichnung
  eines Tracks wird dann
  fortgesetzt.

- Exportfunktion in der
  Trackverwaltung: Tracks
  können im gpx-Format auf
  der SD-Karte gespeichert
  und per Email verschickt
  werden.


--------------------------------
  Version 1.05  (10.10.2012)
--------------------------------

- neues Dateiformat für Tracks
  benötigt weniger Platz als
  das GPX-Format und erlaubt
  schnellere Synchronisation.
  Existierende Tracks werden 
  beim ersten Start in das neue
  Format konvertiert.

- Waypoints werden gespeichert
  und könnene mit dem Server
  synchronisiert werden.

- Das englische (imperiale)
  Einheitensystem (mi, ft, mph)
  wird nun unterstützt. Die 
  Auswahl erfolgt im Dialog 
  "Sprache/Einheiten".
  
- verbesserte Höhenberechnung 

- Fehler in Behandlung negativer
  Längengrade behoben.

- Livetracking erfasst jetzt
  auch Aufstieg, Herzfrequenz
  und Batterielevel.

- Problem mit GPS-Receiver auf
  einigen Geräten behoben.


--------------------------------
  Version 1.04  (12.09.2012)
--------------------------------

- SRTM3-Höhendaten werden lokal
  verwaltet und dazu bei Bedarf 
  blockweise vom Server geladen.
  Dies ermöglicht die Korrektur
  der GPS-Höhenwerte auch ohne 
  Verbindung zum Internet. Die
  Verwaltung der SRTM3-Kacheln
  erfolgt in den Karten-
  einstellungen.

- Im Userdaten-Dialog wird über-
  prüft, ob ein entsprechender  
  Account auf dem Server bekannt
  ist.

- Waypoint-Dialog: Ort kann auf
  der Karte ausgewählt werden
  oder über einen Adressdialog
  (mittlerer Search-Button)
  durch Angabe der Adresse
  gesucht werden.
  
- Home-Dialog (Hauptmenu) zur 
  Festegung der Heimat-Position
  und Höhe.

- Lock-Button in Mapview zum
  Blockieren des Viewpagers
  und Verschieben der Karte.

- Farbe und Zahl der Datenfeler
  nun auch auf Profilseiten und
  Kartenseite konfigurierbar

- Zoom-Funktion für Profile

- In Benutzernamen werden nun
  Großbuchstaben automatisch
  in kleine umgewandelt.



--------------------------------
  Version 1.03  (14.08.2012)
--------------------------------

- Akustisches Beep-Signal bei
  der Aufzeichnung einer Tour, 
  sobald die erste GPS Position 
  zur Verfügung steht. Kann im 
  Menu Einstellungen->akustische
  Signale aktiviert/deaktiviert 
  werden.
  
- Schnittstelle zum Bluetooth
  Pulsmesser "Zephyr HxM".
  Der Verlauf der Herzfrequenz
  wird mit den Trackdaten auf-
  gezeichnet, gespeichert und 
  auch auf den Server hochge-
  laden.

- Neue Datenfelder für aktuelle,
  minimale, maximale und durch-
  schnittliche Herzfrequenz.

- Konfiguration der aktuellen
  Datenseite durch LongClick auf
  den mittleren (Menu) Button.
  Die Zahl der Datenfelder und 
  die Hintergrundfarbe kann nun
  interaktiv verändert werden.

- Neue Seiten zur Anzeige von 
  Profilen (Höhenverlauf, 
  Geschwindigkeit- und Herz-
  frequenzkurve)
  
  
  
--------------------------------
  Version 1.02  (25.07.2012)
--------------------------------

- Verbesserungen in Web-Ansicht 
  (Menü -> WWW) 

  1.Startseite ist nun die 
    Biking-Seite des Users

  2.Bugfix:
    Wiederholtes Laden der
    aktuellen Seite passiert
    nun nicht mehr.
  
- Verbesserter Setup-Dialog in
  Menü -> Einstellungen. Hier
  gibt es nun die Unterpunkte
  Benutzerdaten,
  Layoutoptionen,
  Karteneinstellungen,
  Tastenbelegung,
  Sprache und Experten-Setup.

- Benutzerdefinierbare Aktionen
  bei langem Klick auf die drei
  Haupttasten und bei Drücken 
  der beiden Lautstärketaste:
  Einstellungen->Tastenbelegung

- Das Wechseln der Datenseiten
  durch "Wischen" kann nun 
  gesperrt werden (Lock View). 
  Dies ermöglicht eine leichtere
  Navigation in der Karte durch
  Verschieben.


--------------------------------
  Version 1.01  (05.07.2012)
--------------------------------

- Software Update auch auf alte 
  Versionen

- Hochladen direkt beim Beenden 
  des Tracks funktioniert jetzt.

- weitere kleinere Fixes


--------------------------------
  Version 1.00  (01.07.2012)
--------------------------------

- neue Datenseite mit Anzeige
  der GPS-Satellitendaten

- Kompass-Datenfeld und 
  Kompass-Modus für die Karte

- verbesserte Geschwindigkeits-
  berechnung

- Sprachauswahl im Einstellungs-
  dialog (zur Zeit nur Deutsch 
  und Englisch)


--------------------------------
  Version 0.999  (23.05.2012)
--------------------------------

- View Pager 
  Daten-Views werden nun durch 
  horizontales "Wischen" über
  den Bildschirm ausgewählt.

- Menu Button

- Fehler beim Rotieren der Karte
  im Navigations-Modus behoben


--------------------------------
  Version 0.998  (10.05.2012)
--------------------------------

- Fehler in Serverkommunikation
  behoben 

- Barometriche Höhenmessung 
  z.B. für Galaxy Nexus oder S3



--------------------------------
  Version 0.997  (16.03.2012)
--------------------------------

 - Fehler in Höhenberechnung
   behoben

 - verbesserte Berechnung der
   Steigung

 - Fehler in Berechnung der
   Gesamtzeit behoben

 - bis zu 3 Daten Layouts:
   die Anzahl (1 bis 3) kann 
   im Config-Menu eingestellt 
   werden (Data Views)

 - experimentelle Telefon-
   funktion (Menu->Anruf)


--------------------------------
  Version 0.996  (10.03.2012)
--------------------------------

 - Zwischenzeiten (LAP-Button)

 - einige kleine Korrekturen 
   und Verbesserungen


--------------------------------
  Version 0.995  (03.03.2012)
--------------------------------

 - Problem beim Beenden des 
   GPS-Systemdialogs behoben

 - Erkennung von Pausen und
   Darstellung in der Karte

